Subject: bug#34143: [coreutils 8.28] du -x is reporting a lower disk usage for /mnt when partitions are mounted

From: "Joseph Paul" <[email-masked]>
Date: Sat, 19 Jan 2019 23:11:24 +0100

Hello,

It may not be a bug at all, but I was surprised to find out that 'du -x' is reporting a lower disk usage on /mnt when partitions are mounted.

Here is an example with '/mnt' belonging to the same filesystem as '/' :

linux$ LANG=EN ls -l /mnt
total 12
drwxr-xr-x 2 root root 4096 Jul  8  2018 VL1800
drwxr-xr-x 2 root root 4096 Jul  8  2018 data
drwxr-xr-x 3 root root 4096 Aug 19 13:24 nfs

# I mount two partitions from other disks on /mnt

linux$ sudo mount /mnt/VL1800

linux$ sudo mount /mnt/data

linux$ du -x /mnt
4    /mnt/nfs/nas
8    /mnt/nfs
12    /mnt

# I unmount the two partitions

linux$ sudo umount /mnt/VL1800
linux$ sudo umount /mnt/data

linux$ du -x /mnt
4    /mnt/data
4    /mnt/VL1800
4    /mnt/nfs/nas
8    /mnt/nfs
20    /mnt

/mnt is now bigger.

Is this a normal result, because even when mounted, physically, the directories '/mnt/VL1800' and '/mnt/data' still  exist on the '/' filesystem, or not ?

Shouldn't they still occupy 4Kb of disk space each on the '/' filesystem when partitions are mounted ?

Best regards,

Joseph Paul